Policy 1707 commit to LF
[policy/engine.git] / POLICY-SDK-APP / src / main / webapp / app / policyApp / CSS / bootstrap / test-infra / uncached-npm-install.sh
diff --git a/POLICY-SDK-APP/src/main/webapp/app/policyApp/CSS/bootstrap/test-infra/uncached-npm-install.sh b/POLICY-SDK-APP/src/main/webapp/app/policyApp/CSS/bootstrap/test-infra/uncached-npm-install.sh
new file mode 100644 (file)
index 0000000..a2d4144
--- /dev/null
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+cd ..  # /bootstrap/
+cp test-infra/npm-shrinkwrap.json npm-shrinkwrap.json
+# npm is flaky, so try multiple times
+MAXTRIES=3
+TRIES=1
+while ! npm install; do
+    if [ $TRIES -ge $MAXTRIES ]; then
+        exit 1
+    fi
+    TRIES=$(($TRIES + 1))
+    echo "Retrying npm install (Try $TRIES of $MAXTRIES)..."
+done
+rm npm-shrinkwrap.json